/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

WL.Server.createEventSource({
	name: 'SMSEventSource',
	onDeviceSubscribe: 'onDeviceSubscribeCallback',
	onDeviceUnsubscribe: 'onDeviceUnsubscribeCallback',
	securityTest:'SMSRealm-mobile-securityTest'
});


function sendSMS(userId, smsText){
	var userSubscription = 
		WL.Server.getUserNotificationSubscription('SMSAdapter.SMSEventSource', userId);
	
	if (userSubscription==null){
		return { result: "No subscription found for user :: " + userId };
	}
	
	WL.Logger.debug("sendSMS >> userId :: " + userId + ", text :: " + smsText);
	
	WL.Server.notifyAllDevices(userSubscription, {
		badge: 1,
		alert: smsText
	});
	
	return { result: "Notification sent to user :: " + userId };
}

function onDeviceSubscribeCallback(userSubscription, deviceSubscription){
	WL.Logger.debug(">> onDeviceSubscribeCallback");
}

function onDeviceUnsubscribeCallback(userSubscription, deviceSubscription){
	WL.Logger.debug(">> onDeviceUnsubscribeCallback");
}
