/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

var SMSRealmChallengeHandler = WL.Client.createChallengeHandler("SMSRealm");

SMSRealmChallengeHandler.isCustomResponse = function(response) {
    if (!response || response.responseText === null) {
        return false;
    }
    var indicatorIdx = response.responseText.search('j_security_check');
    
    if (indicatorIdx >= 0){
		return true;
	}  
	return false;
};

SMSRealmChallengeHandler.handleChallenge = function(response) {
	$('#AppBody').hide();
	$('#AuthBody').show();
	$('#passwordInputField').val('');
};

SMSRealmChallengeHandler.submitLoginFormCallback = function(response) {
    var isLoginFormResponse = SMSRealmChallengeHandler.isCustomResponse(response);
    if (isLoginFormResponse){
    	SMSRealmChallengeHandler.handleChallenge(response);
    } else {
		$('#AppBody').show();
		$('#AuthBody').hide();
		SMSRealmChallengeHandler.submitSuccess();
    }
};

$('#loginButton').bind('click', function () {
    var reqURL = '/j_security_check';
    var options = {};
    options.parameters = {
        j_username : $('#usernameInputField').val(),
        j_password : $('#passwordInputField').val()
    };
    options.headers = {};
    SMSRealmChallengeHandler.submitLoginForm(reqURL, options, SMSRealmChallengeHandler.submitLoginFormCallback);
});
