/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

window.$ = window.jQuery = WLJQ;

function wlCommonInit(){
	$('#isSMSSupportedButton').click(isSMSSupportedButtonClicked);
	$('#isSMSSubscribedButton').click(isSMSSubscribedButton);
	$('#SubscribeSMSButton').click(subscribeSMSButtonClicked);
	$('#UnsubscribeSMSButton').click(unsubscribeSMSButtonClicked);
}

function isSMSSupportedButtonClicked(){
	var isSMSSupported = false;
	if (typeof(WL.Client.Push) != 'undefined') isSMSSupported = WL.Client.Push.isPushSMSSupported();
	alert("isSMSSupported = " + isSMSSupported);
}

function isSMSSubscribedButton(){
	var isSMSSubscribed = false;
	if (typeof(WL.Client.Push) != 'undefined') isSMSSubscribed = WL.Client.Push.isSMSSubscribed('myPushSMS');
	alert("isSMSSubscribed = " + isSMSSubscribed);
}


function subscribeSMSButtonClicked() {
	if (typeof(WL.Client.Push) == 'undefined'){
		alert("SMS notifications are not supported on current platform");
		return;
	}
		
	var phoneNumber = $('#PhoneNumber').val();
	var isNumberValid = validatePhoneNumber(phoneNumber); 
	
	if (!isNumberValid){
		alert("Phone number invalid");
		return;
	}

	WL.Client.Push.subscribeSMS("myPushSMS", "SMSAdapter", "SMSEventSource", phoneNumber, {
		onSuccess: onSubscribeSMSSuccess,
		onFailure: onSubscribeSMSFailure
	});
}

function onSubscribeSMSSuccess(response) {
	alert("Succesfully Subscribed to SMS");
}

function onSubscribeSMSFailure(response) {
	alert("Failed to Subscribe to SMS");
}


function unsubscribeSMSButtonClicked(){
	if (typeof(WL.Client.Push) == 'undefined'){
		alert("SMS notifications are not supported on current platform");
		return;
	}

	WL.Client.Push.unsubscribeSMS("myPushSMS", {
		onSuccess: onUnsubscribeSMSSuccess,
		onFailure: onUnsubscribeSMSFailure
	});
}

function onUnsubscribeSMSSuccess(response) {
	alert("Succesfully Unsubscribed to SMS");
}

function onUnsubscribeSMSFailure(response) {
	alert("Failed to Subscribe to SMS");
}


function validatePhoneNumber(phoneNo){
	if(!phoneNo || !phoneNo.length){
		return false;
	}
	
	for (var i=0; i<phoneNo.length; i++){
		var char = phoneNo[i];
		if (char === " " || char === "-" || char === "+" || char === '\n' || !isNaN(parseInt(char))){
			continue;
		} else {
			return false;
		}
	}
	return true;
}

/******************* Callbacks ******************/



